/******************************************************************
 *
 *   a3d_colors.h
 *
 *   defines color constants for use in ArrangePak-3D
 *   color database is typically given in /~/lib/X11/rgb.txt
 *
 *   ArrangePak-3D 
 *   version 1.04
 *   original version:   October, 2003
 *   this revision:      May 2004
 *
 *
 *------------------------------------------------------------------------
 *
 *   copyright (c) 2004, 2003 Stephen Wismath, Ph.D.
 *   University of Lethbridge
 *   Lethbridge, AB   CANADA
 *
 *------------------------------------------------------------------------
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *------------------------------------------------------------------------
 *
 *   Licence terms do not apply to the Library of Efficient Data Types and 
 *   Algorithms, which is licensed separately by 
 *       Algorithmic Solutions Software Gmbh 
 *       http://www.algorithmic-solutions.com/
 *
 *************************************************************************/

#ifndef _A3D_COLOR_
#define _A3D_COLOR_

#include <LEDA/color.h>


leda_color col_line      ("grey90");         // color of lines that are not active
leda_color col_backEdge  ("grey80");         // color of line at rear of perspective
leda_color col_frontEdge ("blue");           // color of front "handle" that we manipulate

leda_color col_rotateAxis("grey80");
leda_color col_pivotLine ("red");            // line of intersection between plane and viewport
                                             // around which the plane is rotated

leda_color col_sideEdge  ("grey70");         // color of perspective edges, the sides of the trapezoids
leda_color circleColor   ("grey80");         // color of the viewport circle    
leda_color col_largeCrossHair ("grey90");    // color of viewport cross-hair
leda_color col_smallCrossHair ("navy");


#endif


