/******************************************************************
 *
 *   a3d_messages.h
 *
 *   defines message strings for use in ArrangePak-3D
 *   
 *   ArrangePak-3D 
 *   version 1.04
 *   original version:   October, 2003
 *   this revision:      May 2004
 *
 *------------------------------------------------------------------------
 *
 *   copyright (c) 2004, 2003 Stephen Wismath, Ph.D.
 *   University of Lethbridge
 *   Lethbridge, AB   CANADA
 *
 *------------------------------------------------------------------------
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *------------------------------------------------------------------------
 *
 *   Licence terms do not apply to the Library of Efficient Data Types and 
 *   Algorithms, which is licensed separately by 
 *       Algorithmic Solutions Software Gmbh 
 *       http://www.algorithmic-solutions.com/
 *
 *
 *****************************************************************/

#ifndef _A3D_MESSAGES_
#define _A3D_MESSAGES_

#include <LEDA/string.h>

leda_string blankMsg("");
leda_string caption("Normal Unit Vector from Origin");
leda_string noDelete("Current arrangement is the minimum allowable size.");
leda_string noAdd("Cannot exceed maximum allowable number of planes in arrangement");
leda_string delPrompt("Left-click on plane(s) to delete; right-click when finished");
leda_string delFailMsg("Function call to delete plane returned -1 error. Action failed.");
leda_string addFailMsg("Function call to add plane returned -1 error. Action failed.");
leda_string noPlanes("Cannot perform requested operation on empty arrangement.");
leda_string choosePlane("Left-click on a plane to highlight it. Right-click to exit this function.");
leda_string dragPlane("Left-click to drag selected plane. Right-click when done.");
leda_string screenFailMsg("a3d: Unrecoverable error while calculating display dimensions.");
leda_string redrawFail("a3d: Unrecoverable error while redrawing lines in main display.");
leda_string highlightError("Function call to highlight plane returned an error. Action failed.");
leda_string saveBeforeDelete("Save current arrangement first?");
leda_string fileNameErr("File name not specified.");
leda_string ofileOpenErr("Unable to create output file. Check path, file name and write permissions.");
leda_string ifileOpenErr("Error opening input file. Check path, file name and read permissions.");
leda_string fileSaved("Arrangement successfully exported to file.");
leda_string writeErr("Unable to write to specified file. Data not exported to file.");
leda_string readErr("File is corrupt or contains disallowed planes. Operation cancelled.");
leda_string badPathName("Bad pathname.");
leda_string pathErr("Incomplete permissions on specified pathname. Need READ and WRITE permissions.");
leda_string goodPath("Working directory successfully updated.");

#endif









