/****************************************************************
 *
 *
 *   aPlane.h
 *
 *   interface for the aPlane class
 *   
 *
 *   ArrangePak-3D 
 *   version 1.04
 *   original version:   October, 2003
 *   this revision:      May 2004
 *
 *
 *------------------------------------------------------------------------
 *
 *   copyright (c) 2004, 2003 Stephen Wismath, Ph.D.
 *   University of Lethbridge
 *   Lethbridge, AB   CANADA
 *
 *------------------------------------------------------------------------
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *------------------------------------------------------------------------
 *
 *   Licence terms do not apply to the Library of Efficient Data Types and 
 *   Algorithms, which is licensed separately by 
 *       Algorithmic Solutions Software Gmbh 
 *       http://www.algorithmic-solutions.com/
 *
 *
 *****************************************************************/ 

#ifndef _APLANE_
#define _APLANE_

#include <LEDA/line.h>               // includes LEDA::point
#include <LEDA/d3_plane.h>           // includes LEDA::d3_line and LEDA::d3_point
#include <LEDA/memory.h>             // for LEDA memory manager


class aPlane 
{

 private:
  leda_d3_plane plane3d;
  leda_line viewLine;
  int listIndex;
  
 public:
  aPlane();
  aPlane(const leda_d3_plane &, const leda_line &, int);
  ~aPlane();


  void operator = (const aPlane&);

  void setPlane(const leda_d3_plane&);

  leda_d3_plane getPlane()const { return plane3d;  }
  leda_line getLine()const      { return viewLine; }
  int getIndex()const           { return listIndex;}  


  LEDA_MEMORY(aPlane)

};


#endif
